package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.FinderException;

public interface CustomerHomeLocal extends javax.ejb.EJBLocalHome {

    public CustomerLocal create(Integer id) 
        throws CreateException;

    public CustomerLocal findByPrimaryKey(Integer id) 
        throws FinderException;

    public Collection findCustomersAll() 
        throws FinderException;

    public Collection findByName(String lastName, String firstName)
        throws FinderException;

    public CustomerLocal findByExactName(String lastName, String firstName)
        throws FinderException;

    public Collection findByNameAndState(String lastName, String firstName, String state)
        throws FinderException;

    public CustomerLocal findSmith90() 
        throws FinderException;

    public Collection findByGoodCredit()
        throws FinderException;

    public Collection findByCity(String city, String state)
        throws FinderException;

    public Collection findInHotStates()
        throws FinderException;

    public Collection findWithoutReservations()
        throws FinderException;

    public Collection findOnCruise(CruiseLocal cruise)
        throws FinderException;

    public Collection findByAddressLocal(AddressLocal add)
        throws FinderException;

    public Collection findByParameterIsNull(CreditCardLocal cc)
        throws FinderException;

    public Collection findByState(String state)
        throws FinderException;

    public Collection findAllCreditCardAddress(String citie)
        throws FinderException;

    public Collection findAllCustomersWithReservation()
        throws FinderException;

    public Collection findAllCustomersWithReservationDistinct()
        throws FinderException;

    public CustomerLocal findCustomerWithPhone(PhoneLocal phone)
        throws FinderException;

    public Collection findCustomersWithCreditCard()
        throws FinderException;

}
